Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#9 segfault when using large packages

None
closed
nobody
None
5
2014-05-19
2004-04-22
Anonymous
No

Experienced: dia2code segfaults when converting a dia
file with a Large Package, containing classes.

Expected: dia2code should (maybe?) output directories
for each large package, putting classes within those
directories

Discussion

  • Logged In: NO

    Also experience this problem and have a workaround.

    If you create a [Large Package] then create a [Class] inside that package you will get a segmentation fault when dia2code is run.

    however...

    If you create a [Large Package] then create the [Class] outside the package, that is click on an empty section of the grid, then drag the class over the package. It is considered inside the package and there's no segfault.

     

  • Anonymous
    2010-08-30

    diff -ur dia2code-0.8.3/dia2code/parse_diagram.c dia2code-0.8.3a/dia2code/parse_diagram.c
    --- dia2code-0.8.3/dia2code/parse_diagram.c 2003-03-05 19:44:38.000000000 +0300
    +++ dia2code-0.8.3a/dia2code/parse_diagram.c 2010-08-30 23:29:45.000000000 +0400
    @@ -417,7 +417,7 @@ [Пнд Авг 30 23:35:29 MSD 2010]

     attribute = class->xmlChildrenNode;
     while ( attribute != NULL ) {
    
    • attrname = xmlGetProp(attribute, "name");
    • if(attrname = xmlGetProp(attribute, "name")){
      if ( ! strcmp("name", attrname) ) {
      parse_dia_string(attribute->xmlChildrenNode, myself->name);
      } else if ( ! strcmp ( "obj_pos", attrname ) ) {
      @@ -451,6 +451,8 @@
      }
      } else if ( ! strcmp("templates", attrname) ) {
      myself->templates = parse_templates(attribute->xmlChildrenNode);
    • }} else {
    • printf("Strange attr of %s:%d\n", class->name, attribute->line );
      }
      free(attrname);
      attribute = attribute->next;
     
  • Oliver Kellogg
    Oliver Kellogg
    2014-05-19

    This has been fixed and the fix is available in version 0.8.5.

     
  • Oliver Kellogg
    Oliver Kellogg
    2014-05-19

    • status: open --> closed
    • Group: -->